package com.lovecoding.day03;

public class Test01_SuanShu {
    //算数运算符
    public static void main(String[] args) {
        //调用
        method3();
    }

    //++ -- 复合使用
    public static void method3(){
        int a = 10;
        int b = ++a; //先+1  10+1 = 11 在赋值给 b
        System.out.println(b); // 11
        System.out.println(a); // 11


        int x = 10;
        int y = x++; //先取值 x = 10 赋值 y = 10 之后在 x+1 = x = 11
        System.out.println(y); // 10
        System.out.println(x); // 11

        System.out.println("----");
        int c = 1;
        c = c++;
        System.out.println(c); // 1  等于过 2 最终 赋值 1；
    }

    //++ -- 单独使用
    public static void method2(){
        int a = 10;
        ++a;
        System.out.println(a);

        int b = 10;
        b++;
        System.out.println(b);
    }

    //算数运算符 + - * /
    public static void method1(){
        System.out.println(3+3);  //6
        System.out.println(3-3);  //0
        System.out.println(3*3);  //9
        System.out.println(3/3);  //1
        System.out.println(10/3); //不是3.333 结果为整数
        System.out.println(3/10); // 整数就是0


        System.out.println(3%10); // 余数 3
        System.out.println(10%3); // 余数 1


        //加号作用
        System.out.println("------------------");

        System.out.println(3+4); //7
        int a = 10;
        int b = 20;
        System.out.println(a+b); // 30

        System.out.println(a+b+""+3); // 303
        System.out.println(""+a+b);   //  1020
        System.out.println(a+""+b);   //  1020
    }
}
